#include <stdio.h>
#include "../winuser.h"
int _CRfont(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _AFFfontText(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AFFfontButton(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AFFfontCheck(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _DSfont(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AFFfontCombo(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AFFfontList(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETstringSize(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETdefaultFont(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETdefaultFont(mmachine m)
{ m->pp+=0;return MMpush(m,NIL); }
int _AFFfontWindow(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NfontPKG 11
char* fontname[NfontPKG]=
{"_CRfont","_AFFfontText","_AFFfontButton","_AFFfontCheck","_DSfont","_AFFfontCombo","_AFFfontList","_GETstringSize","_SETdefaultFont","_GETdefaultFont","_AFFfontWindow"};
int (*fontfun[NfontPKG])(mmachine m)=
{_CRfont,_AFFfontText,_AFFfontButton,_AFFfontCheck,_DSfont,_AFFfontCombo,_AFFfontList,_GETstringSize,_SETdefaultFont,_GETdefaultFont,_AFFfontWindow};
int fontnarg[NfontPKG]=
{5,2,2,2,1,2,2,2,1,0,2};
char* fonttype[NfontPKG]=
{"fun [Chn I I I S] ObjFont","fun [ObjText ObjFont] ObjText","fun [ObjButton ObjFont] ObjButton","fun [ObjCheck ObjFont] ObjCheck","fun [ObjFont] I","fun [ObjBox ObjFont] ObjBox","fun [ObjList ObjFont] ObjList","fun [ObjFont S] [I I]","fun [ObjFont] ObjFont","fun [] ObjFont","fun [ObjWin ObjFont] OnjWin"};
int SCOLloadfont(mmachine m)
{
return PKhardpak(m,"font.pkg",NfontPKG,fontname,fontfun,fontnarg,fonttype);
}
